Can't find/access AST Node typecom.puppycrawl.tools.checkstyle.api.DetailAST

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Can't find/access AST Node typecom.puppycrawl.tools.checkstyle.api.DetailAST

levi levi mail
Hello,


After upgrading CheckStyle from 4.4 to 5.1 I now get the following error everywhere:
[checkstyle] Can't find/access AST Node typecom.puppycrawl.tools.checkstyle.api.DetailAST

The www gives me pointers to antlr.jar, but I just can't pinpoint the problem. I use the checkstyle-all-5.1.jar which has antlr in it. Tried Ant 1.7.1 and 1.6.5: same errors.

Any pointers on this would be appreciated.


CheckStyle 4.4 on the same machine ran fine with the same ant version 1.7.1, via Bamboo:

22-Apr-2010 04:14:51 cq_CheckStyle:
22-Apr-2010 04:15:42 [checkstyle] Running Checkstyle 4.4 on 5632 files
22-Apr-2010 04:18:26     [copy] Copying 1 file to D:\bamboo-home\xml-data\build-dir\TRUNK-GENERICCQ\MyBuild\checkstyle\report

Even running CheckStyle manually from the command line gives the error.


cheers,

------------------------------------------------------------------------------


_______________________________________________
Checkstyle-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/checkstyle-user
Reply | Threaded
Open this post in threaded view
|

Re: Can't find/access AST Node typecom.puppycrawl.tools.checkstyle.api.DetailAST

Oliver Burn
This has to be a classpath error. Check what your CLASSPATH variable is set to. Also look for other copies of the checkstyle jar file in places like your ANT/lib directory.

On Tue, May 11, 2010 at 00:10, levi levi mail <[hidden email]> wrote:
Hello,


After upgrading CheckStyle from 4.4 to 5.1 I now get the following error everywhere:
[checkstyle] Can't find/access AST Node typecom.puppycrawl.tools.checkstyle.api.DetailAST

The www gives me pointers to antlr.jar, but I just can't pinpoint the problem. I use the checkstyle-all-5.1.jar which has antlr in it. Tried Ant 1.7.1 and 1.6.5: same errors.

Any pointers on this would be appreciated.


CheckStyle 4.4 on the same machine ran fine with the same ant version 1.7.1, via Bamboo:

22-Apr-2010 04:14:51 cq_CheckStyle:
22-Apr-2010 04:15:42 [checkstyle] Running Checkstyle 4.4 on 5632 files
22-Apr-2010 04:18:26     [copy] Copying 1 file to D:\bamboo-home\xml-data\build-dir\TRUNK-GENERICCQ\MyBuild\checkstyle\report

Even running CheckStyle manually from the command line gives the error.


cheers,

------------------------------------------------------------------------------


_______________________________________________
Checkstyle-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/checkstyle-user



------------------------------------------------------------------------------


_______________________________________________
Checkstyle-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/checkstyle-user